Subject: v6 malloc considerations? (was: Re: draft-ietf-zeroconf-reqts-08.txt)

From: Erik Guttman <[email-masked]>
Date: Fri, 13 Jul 2001 11:37:46 +0200 (MET DST)

> draft-ietf-zeroconf-reqts-08.txt:
> > 2.3.4  IPv6 Considerations
> >
> >    To date, no range has been reserved for source-specific addresses
> >    in IPv6.  Hence, until such a range is reserved, dynamic allocation
> >    of source-specific addresses applies only to IPv4.
> >
> >    To date, no range has been reserved for dynamic allocation of
> >    Link-scoped addresses in IPv4.  Hence, unless such a range is
> >    reserved, dynamic allocation of link-scoped addresses applies only
> >    to IPv6.

"Thomas Narten" <[email-masked]> wrote:
> Is there reason to think that the mechanisms in IPv4 and IPv6 might be
> different?

The difference lies in the current state of IANA reservation and 
standardization, not in what we think the protocols need to do or
how they'll do it.

Erik